Build GStreamer

cancel
Showing results for 
Search instead for 
Did you mean: 

Build GStreamer

1,265 Views
BrilliantovKiri
Senior Contributor I

Hello!
I have download and install LTIB, now I need to build GStreamer.
My steps:
1. ./ltib -m prep -p gstreamer-core
2. ./ltib -m scbuild -p gstreamer-core
On step 2 I get error:
checking for inet_aton... yes
checking for GLIB... no
no
configure: No package 'glib-2.0' found
No package 'gobject-2.0' found
No package 'gthread-2.0' found
No package 'gmodule-no-export-2.0' found
configure: error: This package requires GLib >= 2.18 to compile.
error: Bad exit status from /opt/IMX53/ltib/tmp/rpm-tmp.58138 (%build)

RPM build errors:
    Bad exit status from /opt/IMX53/ltib/tmp/rpm-tmp.58138 (%build)
Build time for gstreamer-core: 22 seconds

Failed building gstreamer-core

I assume what I do not install glib2 and install it:
1. ./ltib -m prep -p glib2
2. ./ltib -m scbuild -p glib2
3. ./ltib -m scinstall -p glib2
But this is not solve problem.

I work in Debian GNU/Linux 6.0.4, list glib packages installed in my system:
$ dpkg -l | grep glib2
ii  libglib2.0-0                         2.24.2-1                             The GLib library of C routines
ii  libglib2.0-dev                       2.24.2-1                             Development files for the GLib library

How can I solve this problem?

Thank you and exuse me my bad english.

Labels (1)
0 Kudos
2 Replies

226 Views
BrilliantovKiri
Senior Contributor I

Thank you Ivica!

Your answer solve problem.

0 Kudos

226 Views
IvicaEftimovski
Contributor III

Did you try with the glib deployed? I think the option was "scdeploy" - I don't have ltib infront of me.

 ./ltib -m scdeploy -p glib2

See if that fixes it.

0 Kudos